# Generated from benry-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name benry

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: namespace for `benry-*` gems
License: MIT
URL: https://github.com/kwatch/benry/tree/ruby/benry
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Namespace for `benry-*` gems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%{gem_instdir}/Rakefile.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/benry.gemspec
%{gem_instdir}/test

%changelog
* Sun Sep 12 2021 mockbuilder - 1.0.0-1
- Initial package
